/* Activate Font Awesome 5 Pseudo Elements */
/* Do we still need it? */
/* window.FontAwesomeConfig.searchPseudoElements = true; */

/* Set main title and Author for side navbar */
function setMainTitle() {
	var mainTitle = "";
	try {
		mainTitle = document.querySelector("#tei-title-main-de").innerText;
	} catch {}
	try {
		mainTitle = document.querySelector("#tei-title-main-fr").innerText;
	} catch {}
	if (mainTitle == "") {
		mainTitle = "error: no main title"
	};
	document.querySelector("#editionMainTitle").innerText = mainTitle;
	document.querySelector("#editionMainAuthor").innerText = document.querySelector("#tei-author").innerText;
}

/* Collapse function for side navbar (icon changing up/down) */
function triggerChevron(button_ID) {
	if (
		$("#" + button_ID)
		.find("svg[class*='accordion-chevron']")
		.attr("data-icon") == "chevron-circle-down"
	) {
		$("#" + button_ID)
			.find("svg[class*='accordion-chevron']")
			.attr("data-icon", "chevron-circle-up")
	} else {
		$("#" + button_ID)
			.find("svg[class*='accordion-chevron']")
			.attr("data-icon", "chevron-circle-down")
	}
}

/* duplicate from edition.js ??? 
function triggerSVGVisibility(classtype) {
    if (
        $(classtype).css("display") == "none"
    ) {
        $(classtype).css("display", "inline")
    } else {
        $(classtype).css("display", "none")
    }
}*/

function getMetadata() {
	try {
		document.querySelector("#edition-dateCreated").innerText = document.querySelector("#tei-meta-dateCreated").innerText;
	} catch (e) {
		console.log('error: no edition-dateCreated');
	}
	try {
		document.querySelector("#edition-dateModified").innerText = document.querySelector("#tei-meta-dateModified").innerText;
	} catch (e) {
		console.log('error: no edition-dateModified');
	}
	try {
		document.querySelector("#edition-textGridURI").innerText = document.querySelector("#tei-meta-textGridURI").innerText;
	} catch (e) {
		console.log('error: no edition-textGridURI');
	}
	try {
		document.querySelector("#edition-PID").innerText = document.querySelector("#tei-meta-PID").innerText;
	} catch (e) {
		console.log('error: no edition-PID');
	}
	try {
		document.querySelector("#edition-PIDMetadata").innerText = document.querySelector("#tei-meta-PIDMetadata").innerText;
	} catch (e) {
		console.log('error: no edition-PPIDMetadata');
	}
}

function loadPage(source, number) {
    /*toggleLoader();*/
    
    console.log('load page number: ' + number);
	if (sessionStorage.getItem('edition') == source) {} else {
		sessionStorage.setItem('edition', source);
	}
	
	loadTrans(source, number, '#edition-container');
}

function pastTransLoad(container,number) {
    setMainTitle();
	getMetadata();
	MathJax.Hub.Queue(["Typeset", MathJax.Hub, "edition-container"]);
	$('[data-toggle="tooltip"]').tooltip();
	addAllPages();
	setFontSize();
}

function errorDocumentNotFound() {
	var tei = document.getElementById('edition-container');
	if (tei) {
		while (tei.firstChild) {
			tei.removeChild(tei.firstChild);
		}
	}
	$("#edition-container").append("<div style='margin-top:30px' class='error-page__icon'/><div class='text-center' ><h1 class='error-page__header text-muted'><span>Oops. We can not show the document you are looking for.</span></h1></div>");
}

$(document).ready(function() {
	updatePage();
	resetFont();
});